using System;
using System.Collections;
using System.Linq;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;
using System.Runtime.Serialization;


namespace golestan
{
    class ostad
    {
        int a;
        string name;
        string famili;
        string madrak;
        string mahalakhz;
        int vahed;
         public ostad (int a1, string a2, string a3, string a4, string a5, int a6)
        {
            a = a1;
            if (a2.Length > 20)
            {
                name = a2.Remove(20);
            }
            else if (a2.Length < 20)
            {
                name = a2 + new string(' ', 20 - a2.Length);
            }
            else
                name = a2;
            if (a3.Length > 20)
            {
                famili = a3.Remove(20);
            }
            else if (a3.Length < 20)
            {
                famili = a3 + new string(' ', 20 - a3.Length);
            }
            else
                famili = a3;
            if (a4.Length > 20)
            {
                madrak = a4.Remove(20);
            }
            else if (a4.Length < 20)
            {
                madrak = a4 + new string(' ', 20 - a4.Length);
            }
            else
                madrak = a4;
            if (a5.Length > 20)
            {
                mahalakhz = a5.Remove(20);
            }
            else if (a5.Length < 20)
            {
                mahalakhz = a5 + new string(' ', 20 - a5.Length);
            }
            else
                mahalakhz = a5;
            vahed = a6;
        }
         public int A
         {
             get
             {
                 return a;
             }
             set
             {
                 a = value;
             }
         }
         public string NAME
         {
             get
             {
                 return name;
             }
             set
             {
                 if (value.Length > 20)
                 {
                     name = value.Remove(20);
                 }
                 else if (value.Length < 20)
                 {
                     name = value + new string(' ', 20 - value.Length);
                 }
                 else
                     name = value;
             }
         }
         public string FAMILI
         {
             get
             {
                 return famili;
             }
             set
             {
                 if (value.Length > 20)
                 {
                     famili = value.Remove(20);
                 }
                 else if (value.Length < 20)
                 {
                     famili = value + new string(' ', 20 - value.Length);
                 }
                 else
                     famili = value;
             }
         }
         public string MADRAK
         {
             get
             {
                 return madrak;
             }
             set
             {
                 if (value.Length > 20)
                 {
                     madrak = value.Remove(20);
                 }
                 else if (value.Length < 20)
                 {
                     madrak = value + new string(' ', 20 - value.Length);
                 }
                 else
                     madrak = value;
             }
         }
         public string MAHALAKHZ
         {
             get
             {
                 return mahalakhz;
             }
             set
             {
                 if (value.Length > 20)
                 {
                     mahalakhz = value.Remove(20);
                 }
                 else if (value.Length < 20)
                 {
                     mahalakhz = value + new string(' ', 20 - value.Length);
                 }
                 else
                     mahalakhz = value;
             }
         }
         public int VAHED
         {
             get
             {
                 return vahed;
             }
             set
             {
                 vahed = value;
             }
         }

    }
}
